# `OpenSSH_jll.jl` (v9.1.0+0)

[![deps](https://juliahub.com/docs/OpenSSH_jll/deps.svg)](https://juliahub.com/ui/Packages/OpenSSH_jll/r8UhA?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/fbc486d202b4327f56facdebe6ddb28d7569a811/O/OpenSSH/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `OpenSSH_jll.jl` have been built from these sources:

* compressed archive: https://github.com/openssh/openssh-portable/archive/refs/tags/V_9_1_P1.tar.gz (SHA256 checksum: `8ae811262318653bbad319710b5055af5ac911d28f71ade5fb5ef604ac26821e`)
* compressed archive: https://github.com/PowerShell/Win32-OpenSSH/releases/download/v8.9.1.0p1-Beta/OpenSSH-Win32.zip (SHA256 checksum: `b99c384811f9ef8cab7589460d607fd4d4faccd6ec08a7405a2df0a37340fdeb`)
* compressed archive: https://github.com/PowerShell/Win32-OpenSSH/releases/download/v8.9.1.0p1-Beta/OpenSSH-Win64.zip (SHA256 checksum: `b3d31939acb93c34236f420a6f1396e7cf2eead7069ef67742857a5a0befb9fc`)

## Platforms

`OpenSSH_jll.jl` is available for the following platforms:

* `macOS aarch64` (`aarch64-apple-darwin`)
* `Linux aarch64 {libc=glibc}` (`aarch64-linux-gnu`)
* `Linux aarch64 {libc=musl}` (`aarch64-linux-musl`)
* `Linux armv6l {call_abi=eabihf, libc=glibc}` (`armv6l-linux-gnueabihf`)
* `Linux armv6l {call_abi=eabihf, libc=musl}` (`armv6l-linux-musleabihf`)
* `Linux armv7l {call_abi=eabihf, libc=glibc}` (`armv7l-linux-gnueabihf`)
* `Linux armv7l {call_abi=eabihf, libc=musl}` (`armv7l-linux-musleabihf`)
* `Linux i686 {libc=glibc}` (`i686-linux-gnu`)
* `Linux i686 {libc=musl}` (`i686-linux-musl`)
* `Windows i686` (`i686-w64-mingw32`)
* `Linux powerpc64le {libc=glibc}` (`powerpc64le-linux-gnu`)
* `macOS x86_64` (`x86_64-apple-darwin`)
* `Linux x86_64 {libc=glibc}` (`x86_64-linux-gnu`)
* `Linux x86_64 {libc=musl}` (`x86_64-linux-musl`)
* `FreeBSD x86_64` (`x86_64-unknown-freebsd`)
* `Windows x86_64` (`x86_64-w64-mingw32`)

## Dependencies

The following JLL packages are required by `OpenSSH_jll.jl`:

* [`OpenSSL_jll`](https://github.com/JuliaBinaryWrappers/OpenSSL_jll.jl)
* [`Zlib_jll`](https://github.com/JuliaBinaryWrappers/Zlib_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `ExecutableProduct`: `scp`
* `ExecutableProduct`: `ssh`
* `ExecutableProduct`: `ssh_add`
* `ExecutableProduct`: `ssh_agent`
* `ExecutableProduct`: `ssh_keygen`
* `ExecutableProduct`: `ssh_keyscan`
